package yangtz.cs.liu.campus.service.message;

import com.baomidou.mybatisplus.extension.service.IService;
import yangtz.cs.liu.campus.domain.message.SchoolMessagePushDetails;
import yangtz.cs.liu.campus.vo.message.PushDetailsVO;

import java.util.List;

public interface ISchoolMessagePushDetailsService extends IService<SchoolMessagePushDetails> {
    //查询某消息推送详情列表
    List<PushDetailsVO> queryList(PushDetailsVO pushDetailsVO);

    //查询某消息可推送给的教师列表
    List<PushDetailsVO> queryAddList(PushDetailsVO pushDetailsVO);

    //新增，挂载到该消息下
    int addPushDetails(Long pushId,List<Long> userIds);
}
